> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an access token for card data and digital wallet operations

> 
 Returns an access token that can be used for:
 - Getting card's sensitive data
 - Verifying the ability to add a card to a digital wallet

 Access tokens expire after 5 minutes.
    



## OpenAPI

````yaml /autogenerated/openapi/cards.openapi.json get /cards/{cardId}/access-token
openapi: 3.1.0
info:
  title: Cards API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /cards/{cardId}/access-token:
    get:
      tags:
        - Card details
      summary: Retrieve an access token for card data and digital wallet operations
      description: |2-

         Returns an access token that can be used for:
         - Getting card's sensitive data
         - Verifying the ability to add a card to a digital wallet

         Access tokens expire after 5 minutes.
            
      operationId: getClientToken
      parameters:
        - name: cardId
          in: path
          required: true
          schema:
            description: The ID of the card to work with.
            type:
              - string
            format: uuid
            maxLength: 36
            example: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
        - name: accountId
          in: query
          schema:
            description: The ID of the account to work with.
            type:
              - string
            example: F50091
          required: true
        - name: personId
          in: query
          schema:
            description: The ID of the person to work with.
            type:
              - string
            format: uuid
            maxLength: 36
            example: 775596ae-2624-40af-a9dc-9756110a4a04
        - name: sessionId
          in: query
          schema:
            description: The MFA session id.
            type:
              - string
            example: c92e2960-b745-4b38-8e77-898b2f9ad9bb
        - name: token
          in: query
          schema:
            description: The security token e.g. MFA code.
            type:
              - string
            example: '123456'
        - name: operationName
          in: query
          schema:
            description: The operation for which a client token is requested.
            type:
              - string
            enum:
              - VIEW_CARD
              - ADD_CARD_TO_WALLET
            example: VIEW_CARD
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  token:
                    type:
                      - string
                required:
                  - token
                example:
                  token: string
      security:
        - CommonAuth:
            - cards:read:own
            - cards:read:any
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.equalsmoney.com/v2/cards/{cardId}/access-token?accountId={{accountId}}' \
              --header 'Authorization: <api-key>'
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````